Page MenuHomePhabricator

[mlir] replace LLVM dialect float types with built-ins
ClosedPublic

Authored by ftynse on Jan 6 2021, 7:21 AM.

Details

Summary

Continue the convergence between LLVM dialect and built-in types by replacing
the bfloat, half, float and double LLVM dialect types with their built-in
counterparts. At the API level, this is a direct replacement. At the syntax
level, we change the keywords to bf16, f16, f32 and f64, respectively,
to be compatible with the built-in type syntax. The old keywords can still be
parsed but produce a deprecation warning and will be eventually removed.

Depends On D94178

Diff Detail

Event Timeline

ftynse created this revision.Jan 6 2021, 7:21 AM
ftynse requested review of this revision.Jan 6 2021, 7:21 AM
Herald added a project: Restricted Project. · View Herald Transcript
antiagainst requested changes to this revision.Jan 6 2021, 8:58 AM
antiagainst added inline comments.
mlir/docs/SPIRVToLLVMDialectConversion.md
753

Could you fix the line breaks here?

This revision now requires changes to proceed.Jan 6 2021, 8:58 AM
silvas accepted this revision.Jan 6 2021, 11:26 AM

LGTM modulo Lei's comment.

ftynse updated this revision to Diff 315118.Jan 7 2021, 6:10 AM

Address review

ftynse added inline comments.Jan 7 2021, 6:20 AM
mlir/docs/SPIRVToLLVMDialectConversion.md
753

Done. The formatter gets confused if there is no empty line before the triple backticks (some markdown flavors require this).

antiagainst accepted this revision.Jan 7 2021, 8:55 AM
antiagainst added inline comments.
mlir/docs/SPIRVToLLVMDialectConversion.md
753

I see. Thanks! :)

This revision is now accepted and ready to land.Jan 7 2021, 8:55 AM
mehdi_amini accepted this revision.Jan 7 2021, 10:10 AM

Thanks Alex!

ftynse updated this revision to Diff 315414.Jan 8 2021, 8:36 AM

Rebase.

This revision was landed with ongoing or failed builds.Jan 8 2021, 8:38 AM
This revision was automatically updated to reflect the committed changes.